CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra: CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SFace Class Reference

CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra

Loading...
Searching...
No Matches
List of all members
CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SFace Class Reference
Reference Manual

`#include <CGAL/Nef_polyhedron_3.h>`

## Definition

template<class Nef_polyhedronTraits_3, class Nef_polyhedronItems_3 = CGAL::Default_items<Nef_polyhedronTraits_3> class Nef_polyhedronMarks = bool>
class CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SFace

An sface is described by its boundaries.

Figures figureNef3HalfedgeIncidences and figureNef3HalfloopIncidences illustrate the incidences of an sface. An entry item to each boundary cycle can be accessed using the iterator range `[sface_cycles_begin(), sface_cycles_end())`. Additionally, `Nef_polyhedron_S2` provides the macro `CGAL_forall_sface_cylces_of`. The iterators are of type `SFace_cycle_const_iterator` and represent either a shalfedge, a shalfloop, or a svertex.

Creation

There is no need for a user to create a `SFace` explicitly. The class `Nef_polyhedron_3<Traits>` manages the needed sfaces internally.

See also
  `CGAL::Nef_polyhedron_3::Vertex`
  `CGAL::Nef_polyhedron_3::Volume`

## Types
The following types are the same as in `Nef_polyhedron_3<Traits>`.
typedef unspecified_type | Mark
| type of mark.
typedef unspecified_type | Object_list
| list of Object handles.
typedef unspecified_type | Vertex_const_handle
| const handle to Vertex.
typedef unspecified_type | Volume_const_handle
| const handle to Volume.
typedef unspecified_type | SFace_const_handle
| const handle to SFace.
typedef unspecified_type | SFace_cycle_const_iterator
| const iterator over the entries to all sface cycles of a sface.

## Operations
const Mark & | mark () const
| the mark of `sf` .
Vertex_const_handle | center_vertex () const
| the center vertex of the sphere map `sf` belongs to.
Volume_const_handle | volume () const
| the volume that corresponds to `sf` in the 3D incidence structure.
SFace_cycle_const_iterator | sface_cycle_begin () const
| iterator over the entries to all sface cycles of `sf` .
SFace_cycle_const_iterator | sface_cycle_end () const
| past-the-end iterator.